#define __python /usr/bin/python26
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global srcname pdfminer

Name:           python-%{srcname}
Version:        20131113
Release:        1%{?dist}
Summary:        PDF parser and analyzer

Group:          Development/Languages
License:        MIT/X
URL:		https://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
PDFMiner is a tool for extracting information from PDF documents. Unlike other
PDF-related tools, it focuses entirely on getting and analyzing text data. 
PDFMiner allows to obtain the exact location of texts in a page, as well as 
other information such as fonts or lines. It includes a PDF converter that can
transform PDF files into other text formats (such as HTML). It has an 
extensible PDF parser that can be used for other purposes instead of text 
analysis.

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc docs
%{_bindir}/*
%{python_sitelib}/%{srcname}
%{python_sitelib}/%{srcname}*.egg-info

%changelog
* Fri Dec 20 2013 Josko Plazonic <plazonic@math.princeton.edu>
- initial build
